/*****************************************************************************
Name            :   effects.h
C Author        :   Stel Michael

Copyright       :   1992 by VideoLogic Limited. All rights reserved.
		    No part of this software, either material or conceptual
		    may be copied or distributed, transmitted, transcribed,
		    stored in a retrieval system or translated into any
		    human or computer language in any form by any means,
		    electronic, mechanical, manual or other-wise, or
		    disclosed to third parties without the express written
		    permission of VideoLogic Limited, HomePark Estate,
		    King's Langley, Hertfordshire, WD4 8LZ, U.K.

Description     :   Prototypes for effects.cpp
Program Type    :   Microsoft Visual C++ V2
*****************************************************************************/
        
          
class Particle : public BasicObject {
	int	colour[3];  
	float dir[3];
	float speed;    
	float size;
	int lifeForce;
public:         
	float ori[3];
	Particle();
 	void InitParticle();
 	void Move();
 	int GetForce() { return lifeForce; }  
 	float	Getsize() { return size; }
 	void AddForce (int addval) { lifeForce+=addval; }
};


class Effect {
	Particle *Particles;      
	float EffectPos[3];

    int NumParts;   
    int Active; 
    int status;
public:
	Effect(int nparts,float pos[3]);	
	~Effect() { delete Particles; }  
	void Init(float p[3]);
	void AnimateParticles();    
	void SetStatus(int stat) { status=stat; }
	int GetStatus() { return status; }
}; 

